class BoardsController < ApplicationController
  before_filter :auth
  layout "common_layout"

  def index
    list
    render :action => 'list'
  end

  # GETs should be safe (see http://www.w3.org/2001/tag/doc/whenToUseGet.html)
  verify :method => :post, :only => [ :destroy, :create, :update ],
         :redirect_to => { :action => :list }

  def list
    @board_pages, @boards = paginate :boards, :per_page => 10
  end

  def show
    @board = Board.find(params[:id])
  end

  def new
    @board = Board.new
    @board.fl_enable = 1
  end

  def create
    @board = Board.new(params[:board])
    @board.user_id = session[:user_id]
    if @board.save
      flash[:notice] = 'Board was successfully created.'
      redirect_to :action => 'list'
    else
      render :action => 'new'
    end
  end

  def edit
    @board = Board.find(params[:id])
  end

  def update
    @board = Board.find(params[:id])
    if @board.update_attributes(params[:board])
      flash[:notice] = 'Board was successfully updated.'
      redirect_to :action => 'show', :id => @board
    else
      render :action => 'edit'
    end
  end

  def destroy
    Board.find(params[:id]).destroy
    redirect_to :action => 'list'
  end
end
