require File.dirname(__FILE__) + '/../test_helper'
require 'board_comments_controller'

# Re-raise errors caught by the controller.
class BoardCommentsController; def rescue_action(e) raise e end; end

class BoardCommentsControllerTest < Test::Unit::TestCase
  fixtures :board_comments

  def setup
    @controller = BoardCommentsController.new
    @request    = ActionController::TestRequest.new
    @response   = ActionController::TestResponse.new
  end

  def test_index
    get :index
    assert_response :success
    assert_template 'list'
  end

  def test_list
    get :list

    assert_response :success
    assert_template 'list'

    assert_not_nil assigns(:board_comments)
  end

  def test_show
    get :show, :id => 1

    assert_response :success
    assert_template 'show'

    assert_not_nil assigns(:board_comment)
    assert assigns(:board_comment).valid?
  end

  def test_new
    get :new

    assert_response :success
    assert_template 'new'

    assert_not_nil assigns(:board_comment)
  end

  def test_create
    num_board_comments = BoardComment.count

    post :create, :board_comment => {}

    assert_response :redirect
    assert_redirected_to :action => 'list'

    assert_equal num_board_comments + 1, BoardComment.count
  end

  def test_edit
    get :edit, :id => 1

    assert_response :success
    assert_template 'edit'

    assert_not_nil assigns(:board_comment)
    assert assigns(:board_comment).valid?
  end

  def test_update
    post :update, :id => 1
    assert_response :redirect
    assert_redirected_to :action => 'show', :id => 1
  end

  def test_destroy
    assert_not_nil BoardComment.find(1)

    post :destroy, :id => 1
    assert_response :redirect
    assert_redirected_to :action => 'list'

    assert_raise(ActiveRecord::RecordNotFound) {
      BoardComment.find(1)
    }
  end
end
