require File.dirname(__FILE__) + '/../test_helper'
require 'board_files_controller'

# Re-raise errors caught by the controller.
class BoardFilesController; def rescue_action(e) raise e end; end

class BoardFilesControllerTest < Test::Unit::TestCase
  fixtures :board_files

  def setup
    @controller = BoardFilesController.new
    @request    = ActionController::TestRequest.new
    @response   = ActionController::TestResponse.new
  end

  def test_index
    get :index
    assert_response :success
    assert_template 'list'
  end

  def test_list
    get :list

    assert_response :success
    assert_template 'list'

    assert_not_nil assigns(:board_files)
  end

  def test_show
    get :show, :id => 1

    assert_response :success
    assert_template 'show'

    assert_not_nil assigns(:board_file)
    assert assigns(:board_file).valid?
  end

  def test_new
    get :new

    assert_response :success
    assert_template 'new'

    assert_not_nil assigns(:board_file)
  end

  def test_create
    num_board_files = BoardFile.count

    post :create, :board_file => {}

    assert_response :redirect
    assert_redirected_to :action => 'list'

    assert_equal num_board_files + 1, BoardFile.count
  end

  def test_edit
    get :edit, :id => 1

    assert_response :success
    assert_template 'edit'

    assert_not_nil assigns(:board_file)
    assert assigns(:board_file).valid?
  end

  def test_update
    post :update, :id => 1
    assert_response :redirect
    assert_redirected_to :action => 'show', :id => 1
  end

  def test_destroy
    assert_not_nil BoardFile.find(1)

    post :destroy, :id => 1
    assert_response :redirect
    assert_redirected_to :action => 'list'

    assert_raise(ActiveRecord::RecordNotFound) {
      BoardFile.find(1)
    }
  end
end
